using System;
using Server.Network;
using Server.Prompts;
using Server.Guilds;

namespace Server.Items
{
	public class GuildDeed : Item
	{
		[Constructable]
		public GuildDeed() : base( 0x14F0 )
		{
		}

		public GuildDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnSingleClick( Mobile from )
		{
			this.LabelTo( from, 1041055 ); // a guild deed
		}

		public override void OnDoubleClick( Mobile from )
		{
			if ( from.Guild == null )
			{
				from.SendLocalizedMessage( 1013060 ); // Enter new guild name (40 characters max):

				from.Prompt = new InternalPrompt( this );
			}
			else
			{
				from.SendMessage( "You are already in a guild and may not place a new guildstone." );
			}
		}

		private class InternalPrompt : Prompt
		{
			private GuildDeed m_Deed;

			public InternalPrompt( GuildDeed deed )
			{
				m_Deed = deed;
			}

			public override void OnResponse( Mobile from, string text )
			{
				if ( !m_Deed.Deleted && from.CanSee( m_Deed ) )
				{
					if ( from.Guild == null )
					{
						m_Deed.Delete();

						Guild guild = new Guild( from, text, "none" );

						from.Guild = guild;
						from.GuildTitle = "Guildmaster";

						Guildstone stone = new Guildstone( guild );

						stone.Location = from.Location;
						stone.Map = from.Map;

						guild.Guildstone = stone;
					}
					else
					{
						from.SendMessage( "You are already in a guild and may not place a new guildstone." );
					}
				}
			}

			public override void OnCancel( Mobile from )
			{
				from.SendLocalizedMessage( 501145 ); // Placement of guildstone cancelled.
			}
		}
	}
}