using System;
using Server.Items;
using Server.Network;

namespace Server.Scripts.Items.Weapons
{
	public class Fists : BaseWeapon
	{
		public static void Initialize()
		{
			BaseWeapon.Fists = new Fists();
		}

		public Fists() : base( 1, 8, 30, 0, 0, 1, SkillName.Wrestling, WeaponType.Fists, WeaponAnimation.Wrestle, 0, Layer.Invalid )
		{
			Visible = false;
			Movable = false;
		}

		public Fists( Serial serial ) : base( serial )
		{
		}

		public override void OnHit( Mobile attacker, Mobile defender )
		{
			base.PlaySwingAnimation( attacker );

			defender.AggressiveAction( attacker );
			defender.Damage( ComputeDamage( attacker, defender ) );
		}

		public override void OnMiss( Mobile attacker, Mobile defender )
		{
			base.PlaySwingAnimation( attacker );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}