using System;
using Server;
using Server.Items;

namespace Server.Scripts.Items.Weapons.Staves
{
	public abstract class BaseStaff : BaseWeapon
	{
		public BaseStaff( int minDamage, int maxDamage, int speed, int hitSound, int missSound, int maxRange, SkillName skill, WeaponType type, WeaponAnimation animation, int itemID, Layer layer )
			: base( minDamage, maxDamage, speed, hitSound, missSound, maxRange, skill, type, animation, itemID, layer )
		{
		}

		public BaseStaff( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnHit( Mobile attacker, Mobile defender )
		{
			base.OnHit( attacker, defender );

			defender.Stam -= Utility.Random( 3, 3 ); // 3-5 points of stamina loss
		}
	}
}