using System;
using System.Collections;
using Server.Items;
using Server.ContextMenus;
using Server.Scripts.Misc;

namespace Server.Scripts.Mobiles
{
	public class Banker : Mobile
	{
		[Constructable]
		public Banker()
		{
			InitStats( 100, 100, 25 );

			Title = "the banker";
			Hue = Utility.RandomSkinHue();

			if ( this.Female = Utility.RandomBool() )
			{
				this.Body = 0x191;
				this.Name = NameList.RandomFemaleName();
			}
			else
			{
				this.Body = 0x190;
				this.Name = NameList.RandomMaleName();
			}

			AddItem( new FancyShirt( Utility.RandomNeutralHue() ) );
			AddItem( new ShortPants( Utility.RandomNeutralHue() ) );
			AddItem( new Boots( Utility.RandomNeutralHue() ) );

			Item hair = new Item( Utility.RandomList( 0x203B, 0x2049, 0x2048, 0x204A ) );

			hair.Hue = Utility.RandomNondyedHue();
			hair.Layer = Layer.Hair;
			hair.Movable = false;
			hair.Newbied = true;

			AddItem( hair );

			Container pack = new Backpack();

			pack.DropItem( new Gold( 1000, 2000 ) );

			pack.Movable = false;
			pack.Newbied = true;

			AddItem( pack );
		}

		public Banker( Serial serial ) : base( serial )
		{
		}

		public override void OnSpeech( SpeechEventArgs e )
		{
			if ( e.Mobile.InRange( this, 12 ) && e.HasKeyword( 0x0002 ) )
			{
				BankBox box = e.Mobile.BankBox;

				if ( box != null )
					box.Open();
			}
		}

		public override void GetContextMenuEntries( Mobile from, ArrayList list )
		{
			base.GetContextMenuEntries( from, list );

			list.Add( new OpenBankEntry( from, this ) );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}